Summary:	Note-taking application
Name:		gnote
Version:	0.8.2
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3 
URL:		http://live.gnome.org/Gnote
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0
BuildRequires: pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires: pkgconfig(libpanelapplet-4.0) >= 3.0
BuildRequires: pkgconfig(libpcrecpp)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(uuid)
BuildRequires: boost-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: desktop-file-utils

%description
Gnote is a simple desktop note-taking application for GNOME. 
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%optflags  -DBOOST_FILESYSTEM_VERSION=2"
%configure2_5x --with-gnu-ld --disable-schemas-install
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --remove-only-show-in="GNOME" \
  --remove-only-show-in="XFCE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.Gnote.service
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Tue Dec 20 2011 fwang <fwang> 0.8.2-1.mga2
+ Revision: 184777
- panel applet disabled by upstream
- new version 0.8.2

* Tue Oct 25 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 157982
- drop merged patch
- new version 0.8.1

* Sun Sep 25 2011 fwang <fwang> 0.8.0-1.mga2
+ Revision: 147619
- update file list
- update file list
- fix str fmt
- new version 0.8.0

* Wed Sep 21 2011 fwang <fwang> 0.7.5-2.mga2
+ Revision: 146261
- drop .la files
- new version 0.7.5

* Mon Jun 27 2011 fwang <fwang> 0.7.4-2.mga2
+ Revision: 114330
- br gconf
- add more br
- disable panel applet
- new version 0.7.4

  + dmorgan <dmorgan>
    - Rebuild against gnome 3

* Fri Apr 01 2011 ahmad <ahmad> 0.7.3-3.mga1
+ Revision: 79532
- imported package gnote

